<?php
extract($displayData);

/**
 * Layout variables
 *
 * @var  stdClass $article Article as it comes from joomla models/helpers
 * @var  array $options Array with options. Available options:
 *                               'resolution'    : Resolution of the thumbnail
 *                               'force_png'     : Convert always to PNG for transparent backgrounds
 *                               'force_rewrite' : Force thumbnail regeneration
 *                               'thumb_method'  : Method to use to create the thumbnails. See JImage
 */

$layoutOptions = empty($options) ? new JInput : new JInput($options);
$images = json_decode($article->images);

$imageUrl = '';

//  image available
if (!empty($images->image_intro)) {
    $imageUrl = $images->image_intro;
} else if (!empty($images->image_fulltext)) {
    $imageUrl = $images->image_fulltext;
} else {
    return;
}

$resolution = $layoutOptions->get('resolution', '350x250');

// A thumbnail has been required
if ($resolution) {
    $thumbUrl = JLayoutHelper::render(
        'image.thumbnail',
        array(
            'imageUrl' => $imageUrl,
            'options' => $options
        )
    );
    if ($thumbUrl) {
        $imageUrl = $thumbUrl;
    }
}
echo $imageUrl;
?>
