<?php
/**
 * @package     Joomla.Site
 * @subpackage  Layout
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$params = $displayData->params;
$images = json_decode($displayData->images);
$imageCaption = $images->image_fulltext_caption;
?>
<?php if (!empty($images->image_fulltext)) : ?>
	<?php $imgfloat = empty($images->float_fulltext) ? $params->get('float_fulltext') : $images->float_fulltext; ?>
	<div class="pull-<?php echo htmlspecialchars($imgfloat); ?> item-image">
        <?php
        /*
         * Image sizes:
         * Ratio: 4:1.71
         * thumbXl (min-width: 1200px) = 700x300
         * thumbLg (min-width: 992px) = 700x300
         * thumbMd (min-width: 768px) = 540x230
         * thumbSm (min-width: 576px) = 700x300
         * thumbXs (min-width: 320px) = 500x230
         * */

        $viewports = [
            "xl" => "700x300",
            "lg" => "700x300",
            "md" => "540x230",
            "sm" => "700x300",
            "xs" => "500x230"
        ];

        foreach ($viewports as $key => $value) {
            $vp[$key] = JLayoutHelper::render(
                'com_content.article.full-image',
                array(
                    'article' => $displayData,
                    'options' => array(
                        'resolution' => $value
                    )
                )
            );
        }
        ?>
        <picture>
            <source media="(min-width: 1200px)" srcset="<?php echo $vp["xl"]; ?>">
            <source media="(min-width: 992px)" srcset="<?php echo $vp["lg"]; ?>">
            <source media="(min-width: 768px)" srcset="<?php echo $vp["md"]; ?>">
            <source media="(min-width: 576px)" srcset="<?php echo $vp["sm"]; ?>">
            <source srcset="<?php echo $vp["xs"]; ?>">
            <img
                <?php if ($imageCaption) : ?>
                    <?php echo 'title="' . htmlspecialchars($imageCaption) . '"'; ?>
                <?php endif; ?>
                    class="full-image<?php echo $imageCaption ? ' caption' : null; ?>"
                    src="data:image/gif;base64,R0lGODlhAQABAAAAADs="
                    alt="<?php echo htmlspecialchars($images->image_fulltext_alt); ?>"
                    itemprop="image"
            />
        </picture>
    </div>
<?php endif; ?>
